Last Comment Bug 610045 - Deploy buildbot-0.8.2
: Deploy buildbot-0.8.2
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Dustin J. Mitchell [:dustin]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-05 15:28 PDT by Dustin J. Mitchell [:dustin]
Modified: 2013-08-12 21:54 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Dustin J. Mitchell [:dustin] 2010-11-05 15:28:02 PDT
Having been tested in bug 607531, it's time to get buildbot-0.8.2 on the masters.

From IRC, it looks like the way to do this is
 * land the upgrade (see
   https://bitbucket.org/djmitche/moz-buildbot/changesets)
 * deploy to the staging systems, restart
 * soak 24 hours
 * deploy to production masters
 * close tree
 * restart masters one by one
 * test some builds
 * open tree

of course, I'm happy to be told to do it a different way!
Comment 1 Dustin J. Mitchell [:dustin] 2010-11-05 15:29:08 PDT
cc'ing armen, since he's on build duty next week
Comment 2 Armen Zambrano [:armenzg] (EDT/UTC-4) 2010-11-08 05:26:24 PST
long life to 0.8.2!
Comment 3 Dustin J. Mitchell [:dustin] 2010-11-08 08:27:46 PST
Let's block this for the moment on
  http://buildbot.net/trac/ticket/1043
Comment 4 Dustin J. Mitchell [:dustin] 2010-11-08 14:19:37 PST
unblocked:
  https://bitbucket.org/djmitche/moz-buildbot/changeset/6101c032234b
Comment 5 Dustin J. Mitchell [:dustin] 2010-11-09 11:51:23 PST
I'm staging 0.8.2 with this patch now, to see if build statuses come out right when a build contains a skipped step.

I've added another patch to include VERSION in the 'default' branch:
  http://hg.mozilla.org/users/dmitchell_mozilla.com/buildbot/rev/e5b0d9774f2a
as described here:
  https://wiki.mozilla.org/ReleaseEngineering/Upgrading_Buildbot

This is running on sm02, and I'll leave it installed for the time being.  Other than that, I think it's ready to land.
Comment 6 Dustin J. Mitchell [:dustin] 2010-11-10 13:11:27 PST
possibly blocked on
  http://buildbot.net/trac/ticket/1050
I'll be investigating shortly, when sm02 is free.
Comment 7 Dustin J. Mitchell [:dustin] 2010-11-10 14:20:53 PST
unblocked -
  https://github.com/buildbot/buildbot/commit/839d230aa10326a3097f467dcb39cd09b3709288
  merged to build/buildbot in 4376b1933ad9
Comment 8 Dustin J. Mitchell [:dustin] 2010-11-17 10:15:50 PST
deployment complete

Note You need to log in before you can comment on or make changes to this bug.